Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurSetDimensions

Sets the dimensions used for each subsolve step in case of doing spectrum slicing for a computational interval.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurSetDimensions(EPS eps,PetscInt nev,PetscInt ncv,PetscInt mpd)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- nev - number of eigenvalues to compute

- ncv - the maximum dimension of the subspace to be used by the subsolve

- mpd - the maximum dimension allowed for the projected problem

## Options Database Keys

- -eps_krylovschur_nev <nev> - sets the number of eigenvalues

- -eps_krylovschur_ncv <ncv> - sets the dimension of the subspace

- -eps_krylovschur_mpd <mpd> - sets the maximum projected dimension

## Notes

These parameters are relevant only for spectrum slicing runs, that is, when an interval has been given with `EPSSetInterval()` and `STSINVERT` is set. See more details in section Spectrum Slicing.

The meaning of the parameters is the same as in `EPSSetDimensions()`, but the ones here apply to every subsolve done by the child `EPS` object.

Use `PETSC_DETERMINE` for `ncv` and `mpd` to assign a default value. For any of the arguments, use `PETSC_CURRENT` to preserve the current value.

## See Also

EPS: Eigenvalue Problem Solver, Spectrum Slicing, `EPSKRYLOVSCHUR`, `EPSKrylovSchurGetDimensions()`, `EPSSetDimensions()`, `EPSSetInterval()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurSetDimensions_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages